kind: pipeline
name: default

steps:
- name: build
  image: ghcr.io/getzola/zola:v0.16.1
  entrypoint: [ "/bin/zola" ]
  command: [ "build" ]

- name: deploy
  image: drillster/drone-rsync
  settings:
    hosts: [ "0x45.cz" ]
    user: drone
    source: public/*
    target: /srv/www/receptty.org
    recursive: true
    delete: true
  environment:
    RSYNC_KEY:
      from_secret: rsync_private_key
